TX1 with JetPack L4T 2.2.1 ,Error, CUDA installing failed

I install JetPack L4T 2.2.1 in TX1,but failed
(I tryed JetPack L4T 2.3.1 is OK, successed, but 2.2.1 failed)

Here is the error :

Host ‘tx1 ip’ found: line 2 type ECDSA/root/.ssh/known_hosts updated.

Original contents retained as /root/.ssh/known_hosts.old

‘tx1 ip’ SSH-2.0-OpenSSH_6.6.1p1 Ubuntu-2ubuntu2

Read from socket failed:Connection reset by peer

‘tx1 ip’ SSH-2.0-OpenSSH_6.6.1p1 Ubuntu-2ubuntu2

Read from socket failed:Connection reset by peer
Agent pid 10422
Identity added: /root/.ssh/id_rsa(/root/.ssh/id_rsa)
scp -F /dev/null -o PubkeyAuthentication=no -o ConnectTimeout=30 -o StrictHostKeyChecking=no /root/.ssh/id_rsa.pub ubuntu@‘tx1 ip’:/home/ubuntu/tmp.pub
ubuntu
Read from socket failed: Connection reset by peer
lost connection
Copying cuda-repo-l4t-7-0-local_7.0-76_arm64.deb file to target…
Read from socket failed: Connection reset by peer
lost connection
ubuntu
Read from socket failed: Connection reset by peer
Error:CUDA cannot be installed on device.This may be caused by other apt-get command running on device when installing CUDA.Please use apt-get command in a terminal to make sure following packages are installed correctly on device before continueing:
cuda-toolkit-7-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin
After these packages are installed on device, press Enter key to continue

Anyone else had this problem? Any known solution?

now problem of ssh is fine.
the error now:
some packages could not be installed. this may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of incoming.
the following information may help to resolve the situation:
the following packages have unmet dependencies:
cuda-toolkit-7-0: depends:cuda-core-7-0(=7.0-76)but it is not going to be installed
depends:cuda-command-line-tools-7-0(=7.0-76)but it is not going to be installed
depends:cuda-samples-7-0(=7.0-76)but it is not going to be installed
depends:cuda-documentation-7-0(=7.0-76)but it is not going to be installed
libfreeimage-dev:depends:libfreeimage3(=3.15.4-3)but it is not going to be installed
libopenmpi-dev:depends:libopenmpi1.6(=1.6.5-8)but it is not going to be installed
depends:libibverbs-dev but it is not installable
depends:libhwloc-dev but it is not going to be installed
openmpi-bin:depends:libopenmpi1.6 but it is not going to be installed
connection to ‘tx1 ip’ closed.
dpkg-query:package’cuda-toolkit-7-0’ is not installed and no information is available
dpkg-query:package’libfreeimage-dev’ is not installed and no information is available
dpkg-query:package’libopenmpi-dev’ is not installed and no information is available
dpkg-query:package’openmpi-bin’ is not installed and no information is available
use dpkg --info(=dpkg-deb --info)to examine archive files,and dpkg --contents(=dpkg-deb --contents)to list their contents.
error:CUDA cannot be installed on device.This may be caused by other apt-get command running on device when installing CUDA.Please use apt-get command in a terminal to make sure following packages are installed correctly on device before continueing:
cuda-toolkit-7-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin
After these packages are installed on device, press Enter key to continue

Hi VinLiu,

We don’t hit this error before, I try to install JetPack2.2.1 on TX1 again, cuda can be install completed.
Could you download JetPack and try again?

Install Guide: http://docs.nvidia.com/jetpack-l4t/index.html#developertools/mobile/jetpack/l4t/2.2.1/jetpack_l4t_install.htm

I tryed JetPack L4T 2.3.1 is OK, but 2.2.1 was failed ,so I installed it use apt-get command in a terminal in TX1,

–here is update error:
W: Failed to fetch http://…


W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/trusty/multiverse/binary-armhf/Packages Hash Sum mismatch

E: Some index files failed to download. They have been ignored, or old ones used instead.

–here is installing cuda error:

E: Unable to locate package cuda

I have tryed more than ten times…
So could you provide other ideas to solve problems or troubleshoot ?
Is it about sourceslist, or others?

Would it be that I had installed JetPack L4T 2.3.1 for TX1, something left in TX1, could not be removed clean? So that I could not install 2.2.1 the lower version successful.
Could I format TX1’s memory? and how? to make sure TX1 is cleared.

Hi VinLiu,

I can install 2.2.1 the lower version successful.
Please select “standard” or “full” installation components, after re-flash your TX1, it can make your TX1 cleared.
What is your host ubuntu version?

Hi Carolyuu

My host Ubuntu version is 14.04 LTS 64bit
I tried what you said, but it was still failed.
I installed JetPack L4T 2.3.1 first, it succeeded, then I tried 2.2.1,but it failed,
I installed cuda in TX1 directly, it also failed, as what I told above.
Would it be the problem abort sourceslist, that software sources in China?

Hi VinLiu,

Are you install via wireless router? or ethernet cable directly?
Could you try install CUDA toolkit manually?
Download link: https://developer.nvidia.com/cuda-downloads

Hi Carolyuu

I used ethernet cable directly.
The Download link: https://developer.nvidia.com/cuda-downloads, that you gived, it is just for Linux AMD, such as “…_amd64.deb” is for AMD, not for “…_arm64.deb”, not for ARM.
So I got the install package, just from the JetPack’s decompressing during the installing. Maybe it was already damaged.

E.g. cuda-repo-l4t-8-0-local_8.0.34-1_arm64.deb
From Downloads/jetpack_download

Hi VinLiu,

Sorry, my mistake!
You can get “cuda-repo-l4t-7-0-local_7.0-76_arm64.deb” from JetPack package.
file link: /jetpack_download/cuda-repo-l4t-7-0-local_7.0-76_arm64.deb

Hi Vinliu,

Have you managed to install JetPack 2.2.1 successfully?
Any result can be shared?

Thanks

Today, I tried again, and succeed.
But I still don’t know why, I did nothing differently or specifically…
The version is JetPack-linux-x64.run (I have tried many times.)
Here is the link, hope to be helpful

https://mp.weixin.qq.com/s?__biz=MjM5NTE3Nzk4MQ==&mid=2651231734&idx=1&sn=03e799638588c40e5cf334090c17b8ef&chksm=bd0e41648a79c872cec6d8966884f33dc5d6d895fb7d5c72d93eeed580c707979b7936848775&mpshare=1&scene=1&srcid=02223eQoQp93xQW4oCVB0SDA&pass_ticket=C3qGzK9WnXfgTn2J8XD8Pnp4QIZZtZliGFWI1edTFaws%2BYkGgDGGIBBXECwZo%2BSS#rd

Hi Vinliu,

Thanks for sharing the good news, that may due to the network or firewall issue(just guessing).

If there is other specific issue while developing your project, please file another topic into forum.

Thanks